Bug 575497 - Review Request: perl-CGI-Emulate-PSGI - PSGI adapter for CGI applications
Summary: Review Request: perl-CGI-Emulate-PSGI - PSGI adapter for CGI applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/CGI-Emula...
Whiteboard:
Depends On:
Blocks: perl-Plack, plack
TreeView+ depends on / blocked
 
Reported: 2010-03-21 00:34 UTC by Chris Weyl
Modified: 2011-01-06 19:25 UTC (History)
3 users (show)

Fixed In Version: perl-CGI-Emulate-PSGI-0.10-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-05 04:57:10 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2010-03-21 00:34:47 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-CGI-Emulate-PSGI.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-CGI-Emulate-PSGI-0.06-1.fc12.src.rpm

Description:
This module allows an application designed for the CGI environment to
run in a PSGI environment, and thus on any of the backends that PSGI
supports.

It works by translating the environment provided by the PSGI
specification to one expected by the CGI specification. Likewise, it
captures output as it would be prepared for the CGI standard, and
translates it to the format expected for the PSGI standard using
the CGI::Parse::PSGI module.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2065399

Additional Comment:

This package is a dependency of the Plack PSGI implementation.

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-04-04 18:21:56 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2094505

 [x] Rpmlint output:
perl-CGI-Emulate-PSGI.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
perl-CGI-Emulate-PSGI.noarch: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
8643aba10fe775ece7893982de7f6178  CGI-Emulate-PSGI-0.06.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: rawhide.x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=4, Tests=22,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.27 cusr  0.03 csys =  0.34 CPU)
Result: PASS

APPROVED.

Comment 2 Chris Weyl 2010-04-04 18:44:22 UTC
New Package CVS Request
=======================
Package Name: perl-CGI-Emulate-PSGI
Short Description: PSGI adapter for CGI applications
Owners: cweyl
Branches: F-11 F-12 F-13 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-05 04:03:14 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Chris Weyl 2010-04-05 04:57:10 UTC
Thanks for the review! :-)

Comment 5 Fedora Update System 2010-12-29 03:26:41 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-CGI-Emulate-PSGI-0.10-1.fc14

Comment 6 Fedora Update System 2010-12-29 03:26:54 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-CGI-Emulate-PSGI-0.10-1.fc13

Comment 7 Fedora Update System 2011-01-06 19:23:51 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-06 19:24:52 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.